Commits

djm_ committed b00ad65

Updating .travis.yml to run minor point versions of django releases without explicitly specifying them.

  • Participants
  • Parent commits 47b6354

Comments (0)

Files changed (1)

   - "pypy"
 
 env:
-  - DJANGO_VERSION=1.2.7
-  - DJANGO_VERSION=1.3.7
-  - DJANGO_VERSION=1.4.6
-  - DJANGO_VERSION=1.5.2
+  - DJANGO_VERSION=1.2 DJANGO_INSTALL=">= 1.2, < 1.3"
+  - DJANGO_VERSION=1.3 DJANGO_INSTALL=">= 1.3, < 1.4"
+  - DJANGO_VERSION=1.4 DJANGO_INSTALL=">= 1.4, < 1.5"
+  - DJANGO_VERSION=1.5 DJANGO_INSTALL=">= 1.5, < 1.6"
+  - DJANGO_VERSION='latest' DJANGO_INSTALL=""
 
 matrix:
     include:
         - python: "2.7"
-          env: DJANGO_VERSION=1.5.2 OLD_WEBTEST=1
+          env: DJANGO_VERSION=1.5 OLD_WEBTEST=1
     exclude:
         - python: "3.2"
-          env: DJANGO_VERSION=1.2.7
+          env: DJANGO_VERSION=1.2
         - python: "3.2"
-          env: DJANGO_VERSION=1.3.7
+          env: DJANGO_VERSION=1.3
         - python: "3.2"
-          env: DJANGO_VERSION=1.4.6
+          env: DJANGO_VERSION=1.4
         - python: "3.3"
-          env: DJANGO_VERSION=1.2.7
+          env: DJANGO_VERSION=1.2
         - python: "3.3"
-          env: DJANGO_VERSION=1.3.7
+          env: DJANGO_VERSION=1.3
         - python: "3.3"
-          env: DJANGO_VERSION=1.4.6
+          env: DJANGO_VERSION=1.4
         - python: "pypy"
-          env: DJANGO_VERSION=1.2.7
+          env: DJANGO_VERSION=1.2
         - python: "pypy"
-          env: DJANGO_VERSION=1.3.7
+          env: DJANGO_VERSION=1.3
 
 
 # command to install dependencies, e.g. pip install -r requirements.txt --use-mirrors
 install:
-  - pip install django==$DJANGO_VERSION
+  - pip install "django $DJANGO_INSTALL"
   - if [[ $OLD_WEBTEST ]]; then pip install 'WebTest < 2.0'; else pip install WebTest; fi
   - python setup.py install